Bug 458552 - Adding a new podcast feed scrambles podcast view
Adding a new podcast feed scrambles podcast view
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-09 17:14 EDT by Michel Alexandre Salim
Modified: 2008-08-24 15:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-24 15:01:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
After adding a podcast (latest episode downloading) (216.08 KB, image/png)
2008-08-09 17:14 EDT, Michel Alexandre Salim
no flags Details
Old Items list of episodes also contain duplicates (206.01 KB, image/png)
2008-08-09 17:15 EDT, Michel Alexandre Salim
no flags Details

  None (edit)
Description Michel Alexandre Salim 2008-08-09 17:14:40 EDT
Created attachment 313885 [details]
After adding a podcast (latest episode downloading)

Description of problem:
After adding a new podcast (either through the "Subscribe to Podcast" toolbar button or by right-clicking on the Podcasts item in the left pane), the list that filters for all/new/old items has multiple copies of "All Items". Restarting Banshee fixes the problem until the next podcast feed is added.

The "Old Items" listing is also affected (see second screenshot). All the items listed there are actually for the same file; this is after I've only played one file ever.

(I have not filed this upstream yet, as I'm testing this on Rawhide and I'm not sure if it can be duplicated elsewhere, or is Rawhide-specific. Even Rhythmbox is less stable than on F-9 at the moment)

Version-Release number of selected component (if applicable):
banshee-1.2.0-2.1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Add a new podcast feed
2. Select "Old Items" filter
  
Actual results:
Filter list and "Old Items" list of episodes both contain duplicates

Expected results:
No duplicates

Additional info:
Tested on Rawhide x86_64
Comment 1 Michel Alexandre Salim 2008-08-09 17:15:30 EDT
Created attachment 313886 [details]
Old Items list of episodes also contain duplicates
Comment 2 Michel Alexandre Salim 2008-08-09 17:31:07 EDT
Interesting. Adding *any* podcasts trigger the duplication of "All Items" in the filter list; however, only some podcasts trigger the duplication of episode lists.

So far here are the culprits, all from the BBC:

Thought For The Day:
http://downloads.bbc.co.uk/podcasts/radio4/thought/rss.xml

Weekly Political Review:
http://downloads.bbc.co.uk/podcasts/radio4/wpr/rss.xml

Thinking Aloud:
http://downloads.bbc.co.uk/podcasts/radio4/ta/rss.xml

Deleting them re-triggers the "All Items" bug! Also, the podcast entries from BBC cannot be played (most likely linked to the duplicate episode list problem). Though when I had only one podcast listed, I somehow managed to play one episode (thus the duplicate "Old Items" screenshot)

Also, even worse: this podcast cannot even be parsed at all; trying to add it just silently fails:

Start The Week with Andrew Marr:
http://downloads.bbc.co.uk/podcasts/radio4/stw/rss.xml
Comment 3 Nigel Jones 2008-08-14 09:16:43 EDT
This package has now been orphaned, hopefully someone will be able to pick it up and resolve the reported bug soon.
Comment 4 Michel Alexandre Salim 2008-08-24 15:01:27 EDT
Problem disappeared and cannot be reproduced anymore. Closing for now.

Note You need to log in before you can comment on or make changes to this bug.